<div class="row">
  <div class="col">
    <div class="card" style="height: 30rem; overflow: auto;">
      <span class="card-header">
        <%= link_to '<i class="fa fa-arrow-left"></i>'.html_safe, customers_path,
                    class: 'card-link btn' %>
         Customer Profile
        <span class="pull-right">
          <%= link_to 'Edit', edit_customer_path(@customer), class: 'card-link btn btn-primary' %>
        </span>
      </span>
      <div class="card-body">
        <div class="card">
          <ul class="list-group list-group-flush">
            <li class="list-group-item">
              <strong>Customer Name: </strong><%= @customer.name %>
            </li>
            <li class="list-group-item"><strong>Mobile: </strong><%= @customer.contact %></li>
            <li class="list-group-item"><strong>Address: </strong><%= @customer.address %></li>
            <li class="list-group-item"><strong>Cattle Type: </strong> <%= @customer.cattle_type.capitalize %></li>
            <li class="list-group-item">
              <strong>Total Amount: </strong><%= @customer.daily_collections.sum(&:total_price) %>
            </li>
            <li class="list-group-item">
              <strong>Total Litres: </strong><%= @customer.daily_collections.sum(&:litre) %>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <% unless current_user.has_role? :editor %>
    <div class="col">
      <div class="card" style="height: 30rem; overflow: auto;">
        <div class="card-header">
          Payments
          <span class="pull-right">
          <%= link_to 'Make Payment', new_customer_payment_path(customer_id: @customer.id), class: 'card-link btn btn-warning' %>
            Outstanding: &nbsp;
            <% outstanding = @customer.daily_collections.sum(&:total_price) - @customer.customer_payments.sum(&:amount) %>
            <strong style="color: <%= outstanding > 0 ? 'green' : 'red' %>;">
              Rs. <%= outstanding %>
          </strong>
        </span>
        </div>
        <div class="card-body">
          <table class="table table-bordered" style="max-height: 20rem; overflow: auto;" id="customer_payment_history">
            <thead>
            <tr>
              <th>Date</th>
              <th>Amount</th>
              <th>Description</th>
              <th></th>
            </tr>
            </thead>
            <tbody>
            <% if @customer.customer_payments.nil? %>
              <tr>
                <td colspan="3">Nothing Found</td>
              </tr>
            <% else %>
              <% @customer.customer_payments.order("date DESC").each do |payment| %>
                <tr>
                  <td><%= payment.date %></td>
                  <td><%= payment.amount %></td>
                  <td><%= payment.description %></td>
                  <td>
                    <div class="btn-group" role="group" aria-label="Basic example">
                      <%= link_to '<i class="fa fa-print"></i>'.html_safe,
                                  customer_payment_path(payment, format: 'pdf'), class: 'btn btn-info btn-sm',
                                  'data-toggle':"tooltip", 'data-placement': "top",
                                  title: "Print" %>
                      <%= link_to '<i class="fa fa-edit"></i>'.html_safe,
                                  edit_customer_payment_path(payment),
                                  class: 'btn btn-secondary btn-sm', 'data-toggle':"tooltip",
                                  'data-placement': "top", title: "Edit Entry" %>
                      <%= link_to '<i class="fa fa-trash"></i>'.html_safe,
                                  payment, class: 'btn btn-danger btn-sm',
                                  method: :delete, data: { confirm: 'Are you sure?' },
                                  'data-toggle':"tooltip", 'data-placement': "top",
                                  title: "Delete Entry" %>
                    </div>
                  </td>
                </tr>
              <% end %>
            <% end %>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  <% end %>
</div>
<br>
<div class="row">
  <div class="col">
    <div class="card">
      <div class="card-header">
        Collection
      </div>
      <div class="card-body">
        <table class="table table-bordered" style="max-height: 50rem; overflow: auto;" id="customer_milk_collection">
          <thead>
            <tr>
              <th>Date</th>
              <th>Time</th>
              <th>Shift</th>
              <th>Litre</th>
              <th>Fat</th>
              <th>Snf</th>
              <th>Rate</th>
              <th>Total price</th>
              <th></th>
            </tr>
          </thead>
          <tbody>
          <% if @customer.daily_collections.nil? %>
            <tr>
              <td colspan="3">Nothing Found</td>
            </tr>
          <% else %>
            <% @customer.daily_collections.order("date DESC").each do |daily_collection| %>
              <tr>
                <td><%= daily_collection.date %></td>
                <td><%= daily_collection.time.strftime("%I:%M %p") %></td>
                <td><%= daily_collection.shift %></td>
                <td><%= daily_collection.litre %></td>
                <td><%= daily_collection.fat %></td>
                <td><%= daily_collection.snf %></td>
                <td><%= daily_collection.rate %></td>
                <td><%= daily_collection.total_price %></td>
                <td>
                  <div class="btn-group" role="group" aria-label="Basic example">
                    <%= link_to '<i class="fa fa-print"></i>'.html_safe,
                                daily_collection_path(daily_collection, format: 'pdf'),
                                class: 'btn btn-secondary btn-sm', 'data-toggle':"tooltip",
                                'data-placement': "top", title: "Print" %>
                    <%= link_to '<i class="fa fa-eye"></i>'.html_safe,
                                daily_collection, class: 'btn btn-primary btn-sm',
                                'data-toggle':"tooltip", 'data-placement': "top",
                                title: "Show details" %>
                  </div>
                </td>
              </tr>
            <% end %>
          <% end %>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>
